## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		phoc
Version:	0.46~rc2
Release:	%{autorelease}
Summary:	Display compositor designed for phones

License:	GPL-3.0-or-later
URL:		https://gitlab.gnome.org/World/Phosh/phoc
Source:	https://gitlab.gnome.org/World/Phosh/phoc/-/archive/v%{version_no_tilde _}/%{name}-v%{version_no_tilde _}.tar.gz

BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	cmake
BuildRequires:	/usr/bin/rst2man

BuildRequires:	pkgconfig(gio-2.0) >= 2.80
BuildRequires:	pkgconfig(glib-2.0) >= 2.80
BuildRequires:	pkgconfig(gobject-2.0) >= 2.80
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.26
BuildRequires:	pkgconfig(libinput)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(pixman-1) >= 0.43.4
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-protocols) >= 1.15
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(gmobile) >= 0.1.0
BuildRequires:	pkgconfig(wlroots-0.18)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(json-glib-1.0)
# tests needs xvfb-run
BuildRequires:	xorg-x11-server-Xvfb
# tests need dbus-daemon, mutter gschemas and Xwayland
BuildRequires:	dbus-daemon
BuildRequires:	mutter-common
BuildRequires:	xorg-x11-server-Xwayland

ExcludeArch:	i686

%description
Phoc is a wlroots based Phone compositor as used on the Librem5. Phoc is
pronounced like the English word fog.

%prep
%setup -q -n %{name}-v%{version_no_tilde _}

%build
%meson -Dembed-wlroots=disabled -Dman=true
%meson_build

%install
%meson_install

# xdg-decoration test fails on s390x
# timed-animations fails on ppc64le
%ifnarch s390x ppc64le
%check
xvfb-run -s -noreset sh <<HERE
%meson_test
HERE
%endif

%files
%doc README.md
%license LICENSES
%{_bindir}/phoc
%{_datadir}/phoc
%{_datadir}/glib-2.0/schemas/sm.puri.phoc.gschema.xml
%{_datadir}/applications/mobi.phosh.Phoc.desktop
%{_datadir}/icons/hicolor/symbolic/apps/mobi.phosh.Phoc.svg
%{_mandir}/man1/phoc.1.gz
%{_mandir}/man5/phoc.gsettings.5.gz
%{_mandir}/man5/phoc.ini.5.gz

%changelog
## START: Generated by rpmautospec
* Thu Mar 27 2025 Sam Day <me@samcday.com> - 0.46~rc2-1
- 0.46~rc2

* Tue Mar 25 2025 Sam Day <me@samcday.com> - 0.46~rc1-2
- Use version_no_tilde macro

* Tue Mar 25 2025 Tomi Lähteenmäki <lihis@lihis.net> - 0.46~rc1-1
- Upstream release 0.46-rc1

* Sat Feb 15 2025 Sam Day <me@samcday.com> - 0.45.0-4
- Package manpages

* Fri Feb 14 2025 Tomi Lähteenmäki <lihis@lihis.net> - 0.45.0-1
- Upstream release v0.45.0 (fedora#2345796)

* Sun Feb 09 2025 Sam Day <me@samcday.com> - 0.44.1-2
- Enable phoc tests

* Sat Jan 18 2025 Tomi Lähteenmäki <lihis@lihis.net> - 0.44.1-1
- Upstream release 0.44.1 (fedora#2338444)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.44.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 01 2025 Sam Day <me@samcday.com> - 0.44.0-1
- Update to v0.44.0

* Mon Nov 18 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.43.0-1
- Upstream release v0.43.0 (fedora#2326435)

* Mon Oct 28 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.42.1-1
- Upstream release 0.42.1 (fedora#2315570)

* Mon Sep 30 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.42.0-1
- Upstream release v0.42.0 (fedora#2315570)

* Fri Aug 16 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.41.0-1
- Upstream release v0.41.0 (fedora#2305081)

* Tue Jul 23 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.40.1-1
- Update to v0.40.1 (fedora#2297886)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.40.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 01 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.40.0-1
- Update to 0.40.0

* Sat Jun 29 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.40.0~rc1-1
- Update to 0.40.0~rc1 (fedora#1897807)

* Tue Apr 09 2024 Kevin Fenzi <kevin@scrye.com> - 0.37.0-1
- Update for new phosh.

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.29.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

## END: Generated by rpmautospec
